<template>
  <div>
    <div>
<CModal
      title="Info"
      size="sm"
      :show.sync="smallModal">
      {{ SuccessMsg }}

</CModal>


<CCardBody>
     <h5>Trace Scrap Entry</h5>
           <form class="form-inline">
  
   <h6> Barcode</h6>
  <div class="form-group mx-sm-2 mb-2">
    
   <input v-model="searchid">
   
  </div>  
  
  
   <CButton size="sm" color="dark" class="ml-1" @click="getHoldDetails(searchid) ;ShowUpdateModal= true;"> Search </CButton>
  
</form>
  
    
  </CCardBody>

 </div>


<!-- Show Details Modal -->
<div id="overlay" v-if="ShowDetailsModal">
<div class="modal-dialog">

<div class="modal-content">
  <div class="modal-header">
    <h5 class="modal-title">Hold Details</h5>
    <button type="button" class="close"  @click="ShowDetailsModal=false">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
<div class="modal-body p-4">

<form action="#" method="POST">
<div class="form-group">
<input type="text" name="hold_Id" readonly class="form-control form-control-sm" placeholder="Hold Id" v-model="CurrentHolditem.hold_Id">
</div>

<div class="form-group">
<input type="text" name="production_ID"  readonly class="form-control form-control-sm" placeholder="Production ID" v-model="CurrentHolditem.production_ID">
</div>

<div class="form-group">
<input type="text" name="hold_Reason_Id" readonly class="form-control form-control-sm" placeholder="Hold Reason Id" v-model="CurrentHolditem.hold_Reason_Id">
</div>

<div class="form-group">
<input type="text" name="Hold By" readonly class="form-control form-control-sm" placeholder="Hold By"  v-model="CurrentHolditem.hold_By">
</div>

<div class="form-group">
<input type="text" name="hold_Time" readonly class="form-control form-control-sm" placeholder="Hold Time"  v-model="CurrentHolditem.hold_Time">
</div>

<div class="form-group">
<input type="text" name="hold_Date" readonly class="form-control form-control-sm" placeholder="Hold Date"  v-model="CurrentHolditem.hold_Date">
</div>



<div class="form-group">
<button class="btn btn-info btn-block btn-sm"  @click="ShowDetailsModal=false;" > Close </button>
</div>
</form>

</div>
</div>
</div>
</div>

<!-- Show Update Modal -->

<div id="overlay" v-if="ShowUpdateModal">
<div class="modal-dialog  modal-lg" >
<div class="modal-content">
  <div class="modal-header" >    
    <h5 class="modal-title">Scrap Entry </h5>
      <span> </span>
    
   <h6 class="modal-title">- Div User Name / Id</h6>
    <button type="button" class="close"  @click="ShowUpdateModal=false">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
<div class="modal-body modal-lg">

<form >



  <div>
        <!-- <CListGroupItem href="#" color="secondary"> -->
    <CRow>
       <CCol sm="2" > Tread Code</CCol>
      <CCol sm="3">
        <CInput
          readonly
          v-model = this.items.material_Code
        />
      </CCol>
       <CCol sm="2" >Color Code</CCol>
      <CCol sm="3">
        <CInput
          readonly
          v-model = this.items.size_Code
        />
      </CCol>
    </CRow>

     <CRow>
       <CCol sm="2" >Leaf Truck</CCol>
      <CCol sm="3">
        <CInput
          readonly
         v-model = this.items.mhename
        />
      </CCol>
       <CCol sm="2" >Location</CCol>
      <CCol sm="3">
        <CInput
          readonly
         v-model = this.items.loc
        />
      </CCol>
    </CRow>
      <CRow>
      
      <CCol sm="2" > Quantity</CCol>
      <CCol sm="3">
        <CInput
         readonly
         v-model  = this.items.quantity
        />
      </CCol>
          <CCol sm="2" >Truck Number</CCol>
     
        <CCol sm="3">
  <CInput
  readonly
  placeholder="1"
 />
      </CCol>
    </CRow>


       <CRow>
      
   
    </CRow>
       <CRow>
   
      <!-- <CCol sm="2" >  Ageing Period</CCol>
      <CCol sm="3">
        <CInput
         readonly
         v-model   = this.Currentproductiondetails.ageing_Time
        />
      </CCol> -->
 <!-- <CCol sm="1" > Age</CCol>
      <CCol sm="5">
        <CInput
          readonly
         v-model= this.items.currentAge
        />
      </CCol> -->
    </CRow>
        <CRow>
           <CCol sm="6">
              </CCol>
           <!-- <CCol sm="2">
        <CInput
         readonly
        v-model   = this.items.ageStatus
        />
      </CCol> -->
     
     
    </CRow>
      <CListGroupItem href="#" color="secondary">
   <CRow>
       
   
      
         <CCol sm="2">
        <CButton size="sm" color="warning" class="ml-1" @click="  addtoScrap();"> Scrap</CButton>
         </CCol>
          
    <CCol sm="2">
          </CCol>
        <CCol sm="2">
          
      </CCol>
     
    </CRow>
     </CListGroupItem> 
  </div>

</form>

</div>
</div>
</div>
</div>

</div>
</template>

<script>
 const apiprodurl =  'Trace_Production/GetTrace_HoldProductionForBarcode/'
 const apiget =  'Trace_Hold/'
 const apiurl =  'Trace_Scrap_Entry/'
const items = [
  { key: 'hold_Id', _style:'min-width:200px' },
  { key: 'production_ID', _style:'min-width:100px;' },
  { key: 'hold_Reason_Id', _style:'min-width:50px;' }, 
  { key: 'hold_By',     _style: 'width:1%',  },
  { key: 'hold_Time',     _style: 'width:1%',  },
  { key: 'hold_Date',     _style: 'width:1%',  },
 ]   
 
//import CTableWrapper from '.@/Table.vue' 
import Vue from 'vue'
import axios from 'axios'
import VUEAxios from 'vue-axios'
Vue.use(VUEAxios,axios)

export default {
   //components: { CTableWrapper },
  data ()
  {
     return {
    items: items.map((item, id) => { return {...item, id}}),
    
     fields: [
       // { key: 'show_details1',  label: '',  _style: 'width:1%', },
            
              { key: 'hold_Id' , label: 'Hold Id',},
              { key: 'production_ID', label: 'Production ID',},
              { key: 'hold_Reason_Id', label: 'Hold Reason Id',  },             
              { key: 'hold_By',  label: 'Hold By',  _style: 'width:12%', },
              //{ key: 'Holditem_CreationDate',  label: 'Holditem Creation Date',  _style: 'width:12%', },
              { key: 'hold_Time',  label: 'Hold Time',  _style: 'width:12%', },
              { key: 'hold_Date',  label: 'Hold Date',  _style: 'width:12%', },
              { key: 'show_details',  label: '',  _style: 'width:35%', },     
      ],
  mheitems:[],
  Reasonitems:[],
  searchid:""  ,
  details: [],
  collapseDuration: 0,
  errMsg:"",
  SuccessMsg:"",
  ShowAddModal:"",
  ShowDeleteModal:"",
  CurrentHolditem:"",
  ShowUpdateModal:"",
  ShowDetailsModal:"",
  smallModal: false,
  CurrentScrapEntry:{
  scrap_EntryId: 0,    updated_By: "", material_Id:0, entry_Time:new Date().toLocaleTimeString() ,  entry_Date: new Date().toISOString().slice(0,10), barcode_Id: 0 ,mheid: 0},
  newHolditem: "", }
  },
  

  
  mounted()
  {
  
  this.getAllMHEDetails();
  },

  methods:
  {
   getAllHolditemDetails: function()
   {
  
   Vue.axios.get(this.$url+ apiget+searchid)
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else
       {
        this.items = response.data.filter(x => x.hold_Status == 1);
       //this.subitems = response.data.fgS_FIFO_Holditem_Type_Master;

       }
    });
   },

   
  getAllMHEDetails: function()
   {
   
   Vue.axios.get(this.$url+'Trace_MHE_Master/')
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else
       {
        this.mheitems =response.data.filter(x => x.mhE_Status == 1);
       // this.subitems = response.data.fgS_FIFO_MHE_Type_Master;
       }
    });
   },
  getHoldDetails: function(searchid)
   {
 // alert(this.$url + apiprodurl + searchid)
   Vue.axios.get(this.$url + apiprodurl + searchid)
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else if(response.data.length == 0)
     {
     this.SuccessMsg = "No Hold Data Available for searched Barcode "
      this.smallModal = true;
      this.ShowUpdateModal =  false;

     }
    else
       {
     
        this.items =response.data[0]//.filter(x => x.hold_Status == 0);
        //  alert("data fetched")
        console.log( response.data)

       }
    });
   },

 addtoScrap()
  {

  this.CurrentScrapEntry.updated_By= "1111";
  //this.CurrentScrapEntry.entry_Time= new Date().toLocaleTimeString() ,
  // alert(this.$url + apiurl)
  this.CurrentScrapEntry.entry_Date= new Date().toISOString().slice(0,10),
  // alert(this.$url + apiurl)
   this.CurrentScrapEntry.barcode_Id=this.items.barcode_Id;
   this.CurrentScrapEntry.mheid = this.items.mhE_Id;
     this.CurrentScrapEntry.material_Id = this.items.material_Id;
 //alert(this.$url + apiurl)
  Vue.axios.post(this.$url + apiurl, this.CurrentScrapEntry).then((response)=>{
        if(response.data.error)
       {
          alert('Data Error')
       }

      else if(response.data == "1")
       {
         
      this.SuccessMsg = "Entry already done",
       this.smallModal = true;

       }
       else
       {
         this.SuccessMsg ="Material Added To Scrap"
          this.smallModal = true;
        this.ShowUpdateModal = false;
         //this.getAllHolditemDetails();
       }
    })
   },

      
   Select(Holditem)
    {
     this.CurrentHolditem = Holditem;
     
    },

         
  }

}
</script>

<style scoped>
#overlay{
  position:fixed;
  top:100px;
  bottom:0;
  left:0;
  right:0;
  background:rgba(0,0,0,0.6);
}
</style>